eurephiadm fwprofiles(7)

NAME
eurephiadm-fwprofiles - Configuring eurephia firewall profiles

SYNOPSIS
eurephiadm fwprofiles \-\-list|\-l [\-v|\-\-verbose] [\-a|\-\-accessprofile <acc. ID>] [\-f|\-\-fw-destination <name>] [\-i|\-\-uid <user ID>] [\-n|\-\-username <username>] [\-c|\-\-certid <cert ID>] [\-e|\-\-email <e-mail address>] [\-d|\-\-digest <certificate SHA1 digest>]
eurephiadm fwprofiles \-\-add|\-A [\-d|\-\-description <Description>] [\-f|\-\-fw-destination <name>]
eurephiadm fwprofiles \-\-delete|\-D [\-a|\-\-accessprofile <acc. ID>] [\-f|\-\-fw-destination <name>]

DESCRIPTION
The eurephia plug-in can take advantage of the OS firewall to give a fine grained access control of each OpenVPN client. The preconfigured firewall chains available to eurephia needs to be defined using this eurephiadm command. When the firewall profiles are defined here, they can be assigned to the different user accesses you have enabled.

MODES
Available modes for the fwprofiles command are:

-A | --add
    [-d|--description <Description>] [-f|--fw-destination <name>]
    Add a new firewall profile. Both --description and --fw-destination are required. The --description is just to give a human readable description of the firewall profile name and is only used in the different reports available in eurephiadm.

-D | --delete
    [-a|--accessprofile <acc. ID>] [-f|--fw-destination <name>]
    Delete a firewall profile. Either --accessprofile or --fw-destination must be provided.

-l | --list
    [-v|--verbose] [-a|--accessprofile <acc. ID>] [-f|--fw-destination <name>] [-i|--uid <user ID>] [-n|--username <username>] [-c|--certid <cert ID>] [-e|--email <e-mail address>] [-d|--digest <certificate SHA1 digest>]
    List available firewall profiles. Without any arguments, a simple overview over all registered firewall profiles. If the --verbose argument is given, the list will be more comprehensive.

    The rest of the arguments are filters which is used to reduce the length of the list. Multiple filters may be added, but they will only work as additional "AND" argument in the query.

-h | --help
    <mode> Show a help screen. Without any arguments, all modes are listed. Providing a mode will show more information about the chosen mode.

FILTERS
These filters are used by the --list mode.

-a | --accessprofile <id>
    Numeric ID defining the access profile ID.

-f | --fw-destination <name>
    The firewall reference for the chain used by the OS when filtering the OpenVPN client traffic.

-i | --uid <user id>
    Numeric user ID

-n | --username <username>
    User name

-c | --certid <certid>
    Numeric reference to a certificate

-e | --email <email addr>
    e-mail address in certificates

-d | --digest <SHA1 digest>
    Certificate SHA1 digest

SEE ALSO
eurephiadm(7), eurephiadm-usercerts(7)

AUTHOR
Copyright (C) 2008-2012 David Sommerseth <dazo@users.sourceforge.net>